﻿'------------------------------------------------------------------------------
' <auto-generated>
'     Este código fue generado por una herramienta.
'     Versión de runtime:4.0.30319.42000
'
'     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
'     se vuelve a generar el código.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports System
Imports System.Runtime.Serialization

Namespace WCFServiex
    
    <System.Diagnostics.DebuggerStepThroughAttribute(),  _
     System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0"),  _
     System.Runtime.Serialization.DataContractAttribute(Name:="Usuario", [Namespace]:="http://schemas.datacontract.org/2004/07/WCFServiceServiex"),  _
     System.SerializableAttribute()>  _
    Partial Public Class Usuario
        Inherits Object
        Implements System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged
        
        <System.NonSerializedAttribute()>  _
        Private extensionDataField As System.Runtime.Serialization.ExtensionDataObject
        
        <System.Runtime.Serialization.OptionalFieldAttribute()>  _
        Private FechaNacField As Date
        
        <System.Runtime.Serialization.OptionalFieldAttribute()>  _
        Private IdField As Integer
        
        <System.Runtime.Serialization.OptionalFieldAttribute()>  _
        Private NombreField As String
        
        <System.Runtime.Serialization.OptionalFieldAttribute()>  _
        Private SexoField As String
        
        <Global.System.ComponentModel.BrowsableAttribute(false)>  _
        Public Property ExtensionData() As System.Runtime.Serialization.ExtensionDataObject Implements System.Runtime.Serialization.IExtensibleDataObject.ExtensionData
            Get
                Return Me.extensionDataField
            End Get
            Set
                Me.extensionDataField = value
            End Set
        End Property
        
        <System.Runtime.Serialization.DataMemberAttribute()>  _
        Public Property FechaNac() As Date
            Get
                Return Me.FechaNacField
            End Get
            Set
                If (Me.FechaNacField.Equals(value) <> true) Then
                    Me.FechaNacField = value
                    Me.RaisePropertyChanged("FechaNac")
                End If
            End Set
        End Property
        
        <System.Runtime.Serialization.DataMemberAttribute()>  _
        Public Property Id() As Integer
            Get
                Return Me.IdField
            End Get
            Set
                If (Me.IdField.Equals(value) <> true) Then
                    Me.IdField = value
                    Me.RaisePropertyChanged("Id")
                End If
            End Set
        End Property
        
        <System.Runtime.Serialization.DataMemberAttribute()>  _
        Public Property Nombre() As String
            Get
                Return Me.NombreField
            End Get
            Set
                If (Object.ReferenceEquals(Me.NombreField, value) <> true) Then
                    Me.NombreField = value
                    Me.RaisePropertyChanged("Nombre")
                End If
            End Set
        End Property
        
        <System.Runtime.Serialization.DataMemberAttribute()>  _
        Public Property Sexo() As String
            Get
                Return Me.SexoField
            End Get
            Set
                If (Object.ReferenceEquals(Me.SexoField, value) <> true) Then
                    Me.SexoField = value
                    Me.RaisePropertyChanged("Sexo")
                End If
            End Set
        End Property
        
        Public Event PropertyChanged As System.ComponentModel.PropertyChangedEventHandler Implements System.ComponentModel.INotifyPropertyChanged.PropertyChanged
        
        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class
    
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0"),  _
     System.ServiceModel.ServiceContractAttribute(ConfigurationName:="WCFServiex.IServiceData")>  _
    Public Interface IServiceData
        
        <System.ServiceModel.OperationContractAttribute(Action:="http://tempuri.org/IServiceData/SetUsuario", ReplyAction:="http://tempuri.org/IServiceData/SetUsuarioResponse")>  _
        Function SetUsuario(ByVal us As WCFServiex.Usuario) As Integer
        
        <System.ServiceModel.OperationContractAttribute(Action:="http://tempuri.org/IServiceData/SetUsuario", ReplyAction:="http://tempuri.org/IServiceData/SetUsuarioResponse")>  _
        Function SetUsuarioAsync(ByVal us As WCFServiex.Usuario) As System.Threading.Tasks.Task(Of Integer)
        
        <System.ServiceModel.OperationContractAttribute(Action:="http://tempuri.org/IServiceData/GetUsuarios", ReplyAction:="http://tempuri.org/IServiceData/GetUsuariosResponse")>  _
        Function GetUsuarios() As WCFServiex.Usuario()
        
        <System.ServiceModel.OperationContractAttribute(Action:="http://tempuri.org/IServiceData/GetUsuarios", ReplyAction:="http://tempuri.org/IServiceData/GetUsuariosResponse")>  _
        Function GetUsuariosAsync() As System.Threading.Tasks.Task(Of WCFServiex.Usuario())
        
        <System.ServiceModel.OperationContractAttribute(Action:="http://tempuri.org/IServiceData/EliminarUsuario", ReplyAction:="http://tempuri.org/IServiceData/EliminarUsuarioResponse")>  _
        Function EliminarUsuario(ByVal Id As Integer) As Integer
        
        <System.ServiceModel.OperationContractAttribute(Action:="http://tempuri.org/IServiceData/EliminarUsuario", ReplyAction:="http://tempuri.org/IServiceData/EliminarUsuarioResponse")>  _
        Function EliminarUsuarioAsync(ByVal Id As Integer) As System.Threading.Tasks.Task(Of Integer)
    End Interface
    
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")>  _
    Public Interface IServiceDataChannel
        Inherits WCFServiex.IServiceData, System.ServiceModel.IClientChannel
    End Interface
    
    <System.Diagnostics.DebuggerStepThroughAttribute(),  _
     System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")>  _
    Partial Public Class ServiceDataClient
        Inherits System.ServiceModel.ClientBase(Of WCFServiex.IServiceData)
        Implements WCFServiex.IServiceData
        
        Public Sub New()
            MyBase.New
        End Sub
        
        Public Sub New(ByVal endpointConfigurationName As String)
            MyBase.New(endpointConfigurationName)
        End Sub
        
        Public Sub New(ByVal endpointConfigurationName As String, ByVal remoteAddress As String)
            MyBase.New(endpointConfigurationName, remoteAddress)
        End Sub
        
        Public Sub New(ByVal endpointConfigurationName As String, ByVal remoteAddress As System.ServiceModel.EndpointAddress)
            MyBase.New(endpointConfigurationName, remoteAddress)
        End Sub
        
        Public Sub New(ByVal binding As System.ServiceModel.Channels.Binding, ByVal remoteAddress As System.ServiceModel.EndpointAddress)
            MyBase.New(binding, remoteAddress)
        End Sub
        
        Public Function SetUsuario(ByVal us As WCFServiex.Usuario) As Integer Implements WCFServiex.IServiceData.SetUsuario
            Return MyBase.Channel.SetUsuario(us)
        End Function
        
        Public Function SetUsuarioAsync(ByVal us As WCFServiex.Usuario) As System.Threading.Tasks.Task(Of Integer) Implements WCFServiex.IServiceData.SetUsuarioAsync
            Return MyBase.Channel.SetUsuarioAsync(us)
        End Function
        
        Public Function GetUsuarios() As WCFServiex.Usuario() Implements WCFServiex.IServiceData.GetUsuarios
            Return MyBase.Channel.GetUsuarios
        End Function
        
        Public Function GetUsuariosAsync() As System.Threading.Tasks.Task(Of WCFServiex.Usuario()) Implements WCFServiex.IServiceData.GetUsuariosAsync
            Return MyBase.Channel.GetUsuariosAsync
        End Function
        
        Public Function EliminarUsuario(ByVal Id As Integer) As Integer Implements WCFServiex.IServiceData.EliminarUsuario
            Return MyBase.Channel.EliminarUsuario(Id)
        End Function
        
        Public Function EliminarUsuarioAsync(ByVal Id As Integer) As System.Threading.Tasks.Task(Of Integer) Implements WCFServiex.IServiceData.EliminarUsuarioAsync
            Return MyBase.Channel.EliminarUsuarioAsync(Id)
        End Function
    End Class
End Namespace
